Doomsday Engine - Bug #2357

[Hexen] Warping while player is dead leads to inoperable player weapon
2019-11-30 22:15 - skyjake

Status: Closed Start date: 2019-11-30
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 2.2 (2019)

Description

At least in Hexen:

1. Die in combat.
2. Warp to another map using the console.
3. The player weapon is immediately lowered and cannot be brought up.

Associated revisions

Revision 923df8f - 2019-12-03 17:53 - skyjake

Fixed|Hexen: Workaround for warping while dead

IssuelD #2357

Revision 5f4b16¢0 - 2019-12-03 18:01 - skyjake

Fixed|Hexen: Workaround for warping while dead

IssuelD #2357

History

#1 - 2019-12-03 17:54 - skyjake
- Category changed from Defect to Regression
- Status changed from New to Resolved

- % Done changed from 0 to 100
The problem was that after warping, player state would be restored to what it was before the warp (zero health).
This is likely a bug in GameSession management when it comes to hubs and player state. Normally inside hubs, player state should be restored

between warps, but warping as a dead player is special case that should lead to a normal reborn event. The player does get respawned as alive, but
then the zero health is restored afterwards.

#2 - 2019-12-03 19:09 - skyjake
- Subject changed from Warping while player is dead leads to inoperable player weapon to [Hexen] Warping while player is dead leads to inoperable

player weapon

#3 - 2019-12-17 11:18 - skyjake

- Status changed from Resolved to Closed
